GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
List of all members
gridfire::exceptions::StaleJacobianError Class Referencefinal

Exception for stale Jacobian matrix access. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::StaleJacobianError:
[legend]
Collaboration diagram for gridfire::exceptions::StaleJacobianError:
[legend]

## Additional Inherited Members
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception for stale Jacobian matrix access.

This exception is thrown when an attempt is made to access a Jacobian matrix that is stale and needs to be regenerated.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h